;;;; -*- Mode: Fi:Common-Lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;; 
;;;; $Id$
;;;; $Source$
;;;; 
;;;; Description       : Compilation file
;;;; 
;;;; Original author(s): Jaeho Lee <jaeho@bigtwohearted.engin.umich.edu>
;;;; Organization      : University of Michigan DAI Group (UM-DIAG)
;;;; Created On        : Sat Jan 11 13:46:18 1992
;;;; Last Modified On  : Sun Jan 26 11:57:47 1992
;;;; Last Modified By  : Jaeho Lee <jaeho@imnaha.engin.umich.edu>
;;;; 
;;;; Copyright (C) 1992 University of Michigan.
;;;; 
;;;; HISTORY 
;;;; 11-Jan-1992		Jaeho Lee (on bigtwohearted.engin.umich.edu)
;;;;    After the communication capability of MICE has been made, revised
;;;;    and modified by Jaeho Lee.
;;;;    
;;;; 04-Oct-1991		
;;;;     Originally written by Jaeho Lee and Young-Pa So for the class project
;;;;     of EECS 598-4 at fall term, 1991. 
;;;;    
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;  Copyright 1991, 1992
;  Regents of the University of Michigan
;  
;  Permission is granted to copy and redistribute this software so long as
;  no fee is charged, and so long as the copyright notice above, this
;  grant of permission, and the disclaimer below appear in all copies made.
;  
;  This software is provided as is, without representation as to its fitness
;  for any purpose, and without warranty of any kind, either express or implied,
;  including without limitation the implied warranties of merchantability and fitness
;  for a particular purpose.  The Regents of the University of Michigan shall not
;  be liable for any damages, including special, indirect, incidental, or
;  consequential damages, with respect to any claim arising out of or in
;  connection with the use of the software, even if it has been or is hereafter
;  advised of the possibility of such damages.


(setf *graphics?* t);; Set this to nil if you don't use X-window or TI
;;(setf *hostname* "buteos");; Set this to your hostname

(setf *display?* t)
(setf *debug-cnet* nil)

(compile-file "cnet-architecture.lisp")
(load "cnet-architecture")

(compile-file "cnet-manager.lisp")
(load "cnet-manager")

(compile-file "cnet-contractor.lisp")
(load "cnet-contractor")

(compile-file "cnet-strategy.lisp")
(load "cnet-strategy")

(defun run (&optional (env "pursuit.env"))
  (mice env))
